<!doctype html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">
    <link rel="icon" href="img/favicon.ico">

    <title>P-Share Site Web</title>

    <!-- Bootstrap core CSS -->
    <link href="bootstrap-4.0.0-alpha.6/dist/css/bootstrap.min.css" rel="stylesheet">

    <!-- Custom styles for this template -->
    <link href="css/index.css" rel="stylesheet">
  </head>

  <body class="text-center">

    <div class="container d-flex h-100 p-3 mx-auto flex-column">
      <header class="mb-auto ml-auto ml-md-0 mr-auto mr-md-0">
        <nav class="nav navbar-toggleable-sm navbar-dark bg-dark">
          <a class="navbar-brand d-none d-md-inline-block">P-Share Site Web</a>
          <div class="navbar-nav">
            <a class="nav-item nav-link" href="index.html">Accueil</a>
            <a class="nav-item nav-link" href="objectifs.html">Objectifs</a>
            <a class="nav-item nav-link" href="cahier_charges.html">Cahier des charges</a>
            <a class="nav-item nav-link" href="presentation.html">Présentation</a>
            <a class="nav-item nav-link" href="architecture.html">Architecture</a>
            <a class="nav-item nav-link active" href="limites.html">Limites et améliorations</a>
          </div>
        </nav>
      </header>


      <main role="main" class="inner cover">
        <p class="lead text-justify">Notre application fonctionne correctement. Seulement, elle reste cependant limitée en termes de fonctionnalités, et des améliorations sont encore possibles. L'association Hack'UTC qui compte reprendre cet outil pourra ainsi la compléter et l'améliorer.</p>
        <h4>Limites et pistes d'améliorations</h4>
        <p class="lead text-justify">Notre application permet de visualiser les cartes de projets sur la page principale. Seulement, le nombre de  filtre est limité à 4.
        On pourrait rajouter par exemple des filtres pour les thèmes, les technologies utilisées, le délai estimé, etc. Ou bien encore permettre la sélection de plusieurs critères en même temps dans un filtre.<br>De plus, l'ajout d'une barre de recherche pourrait rendre la recherche de projet encore plus simple.</p>
        <p class="lead text-justify">Concernant l'ajout de projet, on peut certes en créer et en supprimer autant que l'on veut, mais l'on peut pas pour l'instant éditer un projet que l'on vient de créer. Ajouter une page permettant cette fonctionnalité semble nécessaire.</p>
        <p class="lead text-justify">La section commentaire est utile pour pouvoir poser des questions sur le projet. Cependant, il est dommage qu'il n'y ait qu'un seul fil de commentaires, car si une personne répond à deux personnes différentes, les réponses seront croisées, ce qui rend la compréhension du fil difficile. Une solution serait de pouvoir répondre directement à un commentaire, en créant un fil de discussion secondaire sous celui-ci. Cela rendrait la section commentaire plus ergonomique.</p>
        <h4>Fonctionnalités futures</h4>
        <p class="lead text-justify">Nous savions que nous n'aurions pas le temps de faire toutes les fonctionnalités que nous avions définis dans le cahier  des charges.<br>Toutefois, nous avons quand même établi une liste de fonctionnalités futures qui pourront être développées par l'association Hack'UTC&nbsp;:</p>
        <ul class="lead text-justify">
          <li>Système de notification par mail après s’être abonné à un projet &amp; flux RSS</li>
          <li>Système de planification à l’aide d’un serveur CalDAV</li>
          <li>Gestion améliorée de la modération du site et des projets</li>
          <li>Système de chat entre les membres du projet</li>
        </ul>
      </main>
      <footer class="mastfoot mt-auto">
        <div class="inner">
          <p>Réalisé par HIERNARD Stéphane, MISRAR Imane, WAUQUIER Elouan, DIEBOLD Aymerik.</p>
        </div>
      </footer>
    </div>


    <!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
    <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script>
    <script>window.jQuery || document.write('<script src="../../assets/js/vendor/jquery-slim.min.js"><\/script>')</script>
    <script src="bootstrap-4.0.0-alpha.6/dist/js/bootstrap.min.js"></script>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
  </body>
</html>
